# List asset quotas Retrieves asset quotas by asset ID. A quota is the number of asset shares. One asset can consist of a single share or multiple shares. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "Banking - Assets", "version": "1.0.0", "description": "API to handle banking assets operations and management", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/assets-accrual", "description": "Sandbox API server for testing" }, { "url": "https://sandbox.pismolabs.io/assets-accrual", "description": "Sandbox API for oauth2" }, { "url": "https://api.pismolabs.io/assets-accrual", "description": "API server for production" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Quotas", "description": "Quota endpoints" } ], "components": { "parameters": { "AssetID": { "name": "asset_id", "in": "path", "description": "Client assigned asset ID. Must consist of the characters [a-z,A-Z,0-9,-,:] with a range from 1 to 128.\n", "required": true, "schema": { "type": "string" }, "example": "2345" }, "CorrelationID": { "in": "header", "name": "x-cid", "schema": { "type": "string" }, "description": "The Correlation IDentifier field is used to link related API requests and events. The x-cid can help the Pismo engineering team track everything related to a call. You can find the x-cid field in the response header from an API endpoint call.\n\nIf this field isn't passed, one is automatically generated.\n", "example": "5bb05174-4e80-11ea-b77f-2e728ce88125" }, "IssuerID": { "name": "issuer_id", "in": "path", "required": true, "description": "Issuer ID. For more information, refer to [issuer identification number](https://www.investopedia.com/terms/i/issuer-identification-number-iin.asp)", "schema": { "type": "string" }, "example": "24" }, "Page": { "name": "page", "in": "query", "required": true, "description": "Page number, default is 1.", "schema": { "type": "integer", "format": "int32" }, "example": 1 }, "PerPage": { "name": "perPage", "in": "query", "required": true, "description": "Number of items per page, default is 10.", "schema": { "type": "integer", "format": "int32" }, "example": 10 } }, "schemas": { "AssetID": { "type": "string", "description": "Asset ID. This ID is client-generated. It must be between 1 and 128 characters long and consist of only the characters [a-z,A-Z,0-9,-,:].", "minLength": 1, "maxLength": 128, "example": "6ea8094b-73ba-4737-93ad-370c27c54813" }, "AssetQuotasResponse": { "type": "object", "properties": { "current_page": { "$ref": "#/components/schemas/CurrentPage" }, "per_page": { "$ref": "#/components/schemas/PerPage" }, "pages": { "$ref": "#/components/schemas/Pages" }, "total_items": { "$ref": "#/components/schemas/TotalItems" }, "items": { "type": "array", "items": { "type": "object", "properties": { "asset_id": { "$ref": "#/components/schemas/AssetID" }, "quota_id": { "$ref": "#/components/schemas/QuotaID" }, "issuer_id": { "$ref": "#/components/schemas/IssuerID" }, "units": { "$ref": "#/components/schemas/Units" }, "redeemed_units": { "$ref": "#/components/schemas/RedeemedUnits" }, "created_at": { "$ref": "#/components/schemas/CreatedAt" }, "customer_type": { "$ref": "#/components/schemas/CustomerType" }, "document_number": { "$ref": "#/components/schemas/DocumentNumber" }, "deposit_number": { "$ref": "#/components/schemas/DepositNumber" } } } } } }, "CreatedAt": { "type": "string", "description": "Date/time (UTC) asset registered on Pismo platform", "example": "2023-03-30T12:26:41" }, "CurrentPage": { "type": "number", "description": "Current page", "example": 1 }, "CustomerType": { "type": "string", "description": "Customer type - `natural` or `legal`. A `natural` customer is an individual, a `legal` customer is a corporation or other legal entitiy type.", "enum": [ "natural", "legal" ], "example": "natural" }, "DepositNumber": { "type": "integer", "format": "int32", "description": "Deposit number", "example": 567339022 }, "DocumentNumber": { "type": "string", "description": "A government document number, such as a social security number (US). Must be numeric with 11-14 digits.\n", "minLength": 1, "maxLength": 14, "example": "123412341234" }, "IssuerID": { "type": "string", "description": "Issuer ID. For more information, see [issuer identification number](https://www.investopedia.com/terms/i/issuer-identification-number-iin.asp)\n", "example": "98400-0-0d" }, "Pages": { "type": "integer", "format": "Int32", "description": "Total number of pages, default is 1.", "example": 1 }, "PerPage": { "type": "integer", "description": "Number of items per page, default is 10.", "format": "Int32", "example": 1 }, "QuotaID": { "type": "string", "description": "Quota ID", "example": "c2d581cb-5c9c-40ab-8783-724feb372132" }, "RedeemedUnits": { "type": "number", "description": "Number of redeemed units", "example": 10 }, "TotalItems": { "type": "number", "description": "Total number of items", "example": 1 }, "Units": { "type": "integer", "format": "int32", "description": "Number of asset units", "example": 20 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "Bad Request" }, "401Unauthorized": { "description": "Unauthorized" }, "500InternalServerError": { "description": "Internal server error" }, "404NotFound": { "description": "Not found" } } }, "paths": { "/v1/issuer/{issuer_id}/assets/{asset_id}/quotas": { "get": { "summary": "List asset quotas", "description": "Retrieves asset quotas by asset ID. \nA quota is the number of asset shares. One asset can consist of a single share or multiple shares. \n", "tags": [ "Quotas" ], "operationId": "AssetQuotas", "parameters": [ { "$ref": "#/components/parameters/CorrelationID" }, { "$ref": "#/components/parameters/IssuerID" }, { "$ref": "#/components/parameters/Page" }, { "$ref": "#/components/parameters/PerPage" }, { "$ref": "#/components/parameters/AssetID" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AssetQuotasResponse" } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "404": { "$ref": "#/components/responses/404NotFound" }, "500": { "$ref": "#/components/responses/500InternalServerError" } } } } } } ```